#include "HRFrameListener.h"

HRFrameListener::HRFrameListener(RenderWindow* pRendWin, Camera* pCam) : ExampleFrameListener(pRendWin, pCam)
{
	mSceneDetailIndex = 1; // Wireframe
	mStatsOn = false; // No stats overlay, please
	mCamera->setPolygonMode(PM_WIREFRAME);
}

HRFrameListener::~HRFrameListener()
{
}

void HRFrameListener::moveCamera()
{
	// Make all the spatial changes to the camera's scene node
	// Note that YAW direction is around a fixed axis (freelook style) rather than a natural YAW
	//(e.g. airplane)
	Ogre::SceneNode* pCamSNode = mCamera->getParentSceneNode();
	pCamSNode->yaw(mRotX, Node::TS_WORLD);
	pCamSNode->pitch(mRotY, Node::TS_LOCAL);
    pCamSNode->translate(mTranslateVector, Node::TS_LOCAL);	
}

// Do nothing. This is to prevent overlay update (we don't have any overlays so this only stuffs Ogre.log with exceptions)
bool HRFrameListener::frameEnded(const FrameEvent& evt)
{ return true; }