#! /bin/bash
#
# Written by merlinblack to (very) simply compile OlRaygun's demo for showing a scene from blender. Nothing fancy.

# If compiling often you may want to create a makefile instead.  This compiles everything every time.

# You will have to copy libPLugin_PCZSceneManager.so from /usr/local/lib/OGRE up one directory i.e. /usr/local/lib
# so that if can be found.  Run ldconfig after you have copied it.

OGRE=/home/nigel/prog/ogre

cd OgreMax/tinyxml

echo 'TinyXML'

gcc -DTIXML_USE_STL *.cpp -c

cd ..

echo 'OgreMax'

gcc -DTIXML_USE_STL `pkg-config --cflags OGRE OIS` -I$OGRE/PlugIns/PCZSceneManager/include/ *.cpp -c -g

cd ..

echo 'Demo'

gcc -DTIXML_USE_STL `pkg-config --cflags OGRE OIS` -I$OGRE/Samples/Common/include/ -I$OGRE/PlugIns/PCZSceneManager/include/ *.cpp -c -g

echo 'Linking'

gcc `pkg-config --libs OGRE OIS` -lPlugin_PCZSceneManager *.o OgreMax/*.o OgreMax/tinyxml/*.o -o Release/demo

cp -v Release/plugins.cfg.linux Release/plugins.cfg
